Results 1 to 5 of 5

Thread: Cannot install Canon Pixma MG 2450

  1. #1
    Join Date
    Jan 2012
    Beans
    3

    Cannot install Canon Pixma MG 2450

    Hello,

    I try to install a Canon Pixma MG 2450.

    I get error: Printer 'Canon-MG2400' requires the '/usr/lib/cups/filter/pstocanonij' program but it is not currently installed. Please install it before using this printer.

    I am new in Linux.

    Please help.

    Thank you.

  2. #2
    Join Date
    May 2007
    Location
    Virginia, USA
    Beans
    13,321
    Distro
    Ubuntu Mate Development Release

    Re: Cannot install Canon Pixma MG 2450

    Welcome to the forums ...

    But, you need to appreciate that the more you tell us, the more we can help you.

    So, we need to know, in detail what
    I try to install a Canon Pixma MG 2450.
    means -- in other words, what exactly did you do?
    Ubuntu 17.10 Mate, Mint 18.3 Mate; MS Win10 Pro.
    Will not respond to PM requests for support -- use the forums.

  3. #3
    Join Date
    Jan 2012
    Beans
    3

    Re: Cannot install Canon Pixma MG 2450

    Hello,

    I have connected the printer to computer.
    In Ubuntu 12.04 LTS in system settings in Printing I try to add printer.
    I see in New Printer in Devices the printer. I click Forward. it start to search for printer driver. After a while New Printer, Choose Driver window opens. I select Provide PPD file. I select this file from printer driver I have downloaded from Canon site. After that it appears the error windows ¨Missing Driver¨, ¨Printer 'Canon-MG2400-series' requires the '/usr/lib/cups/filter/pstocanonij' program but it is not currently installed. Please install it before using this printer.¨. I don´t know what to do further. I try to google for it but I was not able to find something helpful.



    I have downloaded cnijfilter-source-4.00-1 from Canon site.
    Under Add printer I select

  4. #4
    Join Date
    Apr 2005
    Beans
    2,336

    How to Canon debian drivers for Pixma MG 2450

    Mark has very rightly asked if you can give us some information about what you did

    If you were going to install the drivers that Canon supply for this printer you would go here

    http://support-asia.canon-asia.com/c...100550001.html

    and download and save cnijfilter-mg2400series-4.00-1-deb.tar.gz to your Downloads directory

    the commands to install; that you would copy from here; and paste into a terminal; would be

    cd Downloads
    tar -zxvf cnijfilter-mg2400series-4.00-1-deb.tar.gz
    cd cnijfilter-mg2400series-4.00-1-deb
    ./install.sh
    ________________

    if you haven't used a terminal, see here https://help.ubuntu.com/community/UsingTheTerminal and find it using Dash

    _______________________

    Canon supply ScanGearMP to run the scanner; (so SimpleScan will likely not work with this new device)

    get it from here

    http://support-asia.canon-asia.com/c...100551701.html

    and it comes down as scangearmp-mg2400series-2.20-1-deb.tar.gz

    close the terminal after doing the above;

    open it again and paste in

    cd Downloads
    tar -zxvf scangearmp-mg2400series-2.20-1-deb.tar.gz
    cd scangearmp-mg2400series-2.20-1-deb
    ./install.sh
    that should install it .........to run it.........

    to open it,

    scangearmp
    and if you get a GUI and it runs, then you need to set up a launcher
    Last edited by pdc; March 12th, 2014 at 08:12 PM.

  5. #5
    Join Date
    Jan 2012
    Beans
    3

    Re: Cannot install Canon Pixma MG 2450

    @pdc

    Thank you very much.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •